#include "register_types.h"

#include "core/object/class_db.h"
#include "going/game_ui.h"
#include "going/player_body.h"
#include "going/player_states.h"

void initialize_going_module(ModuleInitializationLevel p_level) {
	if (p_level != MODULE_INITIALIZATION_LEVEL_SCENE) {
		return;
	}
	ClassDB::register_class<PlayerBody>();
	ClassDB::register_class<PlayerState>();
	ClassDB::register_class<StandingState>();
	ClassDB::register_class<RunningState>();
	ClassDB::register_class<SplitStepState>();
	ClassDB::register_class<FallingState>();
	ClassDB::register_class<JumpingState>();
	ClassDB::register_class<PlayerStateMachine>();
	ClassDB::register_class<GameUI>();
}

void uninitialize_going_module(ModuleInitializationLevel p_level) {
	if (p_level != MODULE_INITIALIZATION_LEVEL_SCENE) {
		return;
	}
}
